System.Data 2.0.0.0 System.Object System.Data.SqlTypes.INullable System.Xml.Serialization.IXmlSerializable System.Xml.Serialization.XmlSchemaProvider("GetXsdType")

This class contains an instance of an -derived type, and adds SQL-specific features such as database-style null semantics by implementing the interface. When you use SqlXml, the XML value that you assign to the SqlXml instance must be consumable by an . For unicode data, the Byte Order Mark (BOM) must be present in the stream of data.

Represents XML data stored in or retrieved from a server.

- Constructor
  To be added.

  Creates a new instance.

  2.0.0.0
- Constructor
  2.0.0.0
  To be added.

  Creates a new instance, supplying the XML value from the supplied -derived instance.

  A -derived instance (such as ) from which to load the instance's Xml content.
- Constructor
  2.0.0.0

  If this value is null (Nothing in Visual Basic), the instance is set so that returns true.

  Creates a new instance and associates it with the content of the supplied .

  An -derived class instance to be used as the value of the new instance.
- Method
  2.0.0.0
  System.Xml.XmlReader

  If the instance was initialized to null (Nothing in Visual Basic), this method returns null.

  Gets the value of the XML content of this as a .

  A -derived instance that contains the XML content. The actual type may vary (for example, the return value might be ) depending on how the information is represented internally, on the server.

- Method
  2.0.0.0
  System.Xml.XmlQualifiedName `` To be added.

  Returns the XML Schema definition language (XSD) of the specified .

  A string that indicates the XSD of the specified .

  An .
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Indicates whether this instance represents a null value.

- Property
  2.0.0.0
  System.Data.SqlTypes.SqlXml To be added. To be added.

  Represents a null instance of the type.

- Method
  2.0.0.0
  System.Xml.Schema.XmlSchema

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  An that describes the XML representation of the object that is produced by the method and consumed by the method.

- Method
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  An XmlReader.
- Method
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  An XmlWriter
- Property
  2.0.0.0
  System.String To be added.

  To retrieve the content represented as an , call the method.

  Gets the string representation of the XML content of this instance.